Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QSizePolicy.ControlType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QSizePolicy.ControlType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSizePolicy

    public static final class QSizePolicy.ControlType

extends java.lang.Enum
implements QtEnumerator

This enum specifies the different types of widgets in terms of layout interaction.

See also:
  `setControlType()`, and `controlType()`.

See Also:
  Serialized Form

Field Summary
`static QSizePolicy.ControlType` | `ButtonBox` A `QDialogButtonBox` instance.
`static QSizePolicy.ControlType` | `CheckBox` A `QCheckBox` instance.
`static QSizePolicy.ControlType` | `ComboBox` A `QComboBox` instance.
`static QSizePolicy.ControlType` | `DefaultType` The default type, when none is specified.
`static QSizePolicy.ControlType` | `Frame` A `QFrame` instance.
`static QSizePolicy.ControlType` | `GroupBox` A `QGroupBox` instance.
`static QSizePolicy.ControlType` | `Label` A `QLabel` instance.
`static QSizePolicy.ControlType` | `Line` A `QFrame` instance with `QFrame::HLine` or `QFrame::VLine` .
`static QSizePolicy.ControlType` | `LineEdit` A `QLineEdit` instance.
`static QSizePolicy.ControlType` | `PushButton` A `QPushButton` instance.
`static QSizePolicy.ControlType` | `RadioButton` A `QRadioButton` instance.
`static QSizePolicy.ControlType` | `Slider` A `QAbstractSlider` instance.
`static QSizePolicy.ControlType` | `SpinBox` A `QAbstractSpinBox` instance.
`static QSizePolicy.ControlType` | `TabWidget` A `QTabWidget` instance.
`static QSizePolicy.ControlType` | `ToolButton` A `QToolButton` instance.

Method Summary
`static QSizePolicy.ControlTypes` | `createQFlags(QSizePolicy.ControlType[] values)` This function creates a com.trolltech.qt.gui.QSizePolicy$ControlTypes with the specified `com.trolltech.qt.gui.QSizePolicy$ControlType[]` QSizePolicy$ControlType values set.
`static QSizePolicy.ControlType` | `resolve(int value)` Returns the QSizePolicy$ControlType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSizePolicy.ControlType` | `valueOf(java.lang.String name)`
`static QSizePolicy.ControlType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DefaultType

    public static final QSizePolicy.ControlType DefaultType

  The default type, when none is specified.

### ButtonBox

    public static final QSizePolicy.ControlType ButtonBox

  A `QDialogButtonBox` instance.

### CheckBox

    public static final QSizePolicy.ControlType CheckBox

  A `QCheckBox` instance.

### ComboBox

    public static final QSizePolicy.ControlType ComboBox

  A `QComboBox` instance.

### Frame

    public static final QSizePolicy.ControlType Frame

  A `QFrame` instance.

### GroupBox

    public static final QSizePolicy.ControlType GroupBox

  A `QGroupBox` instance.

### Label

    public static final QSizePolicy.ControlType Label

  A `QLabel` instance.

### Line

    public static final QSizePolicy.ControlType Line

  A `QFrame` instance with `QFrame::HLine` or `QFrame::VLine` .

### LineEdit

    public static final QSizePolicy.ControlType LineEdit

  A `QLineEdit` instance.

### PushButton

    public static final QSizePolicy.ControlType PushButton

  A `QPushButton` instance.

### RadioButton

    public static final QSizePolicy.ControlType RadioButton

  A `QRadioButton` instance.

### Slider

    public static final QSizePolicy.ControlType Slider

  A `QAbstractSlider` instance.

### SpinBox

    public static final QSizePolicy.ControlType SpinBox

  A `QAbstractSpinBox` instance.

### TabWidget

    public static final QSizePolicy.ControlType TabWidget

  A `QTabWidget` instance.

### ToolButton

    public static final QSizePolicy.ControlType ToolButton

  A `QToolButton` instance.

Method Detail

### values

    public static QSizePolicy.ControlType[] values()

### valueOf

    public static QSizePolicy.ControlType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QSizePolicy.ControlTypes createQFlags(QSizePolicy.ControlType[] values)

  This function creates a com.trolltech.qt.gui.QSizePolicy$ControlTypes with the specified `com.trolltech.qt.gui.QSizePolicy$ControlType[]` QSizePolicy$ControlType values set.

### resolve

    public static QSizePolicy.ControlType resolve(int value)

  Returns the QSizePolicy$ControlType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD